> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Voice Cover

> The Voice Cover endpoint allows you to transform a song or audio file into a different voice using a provided model ID.

<Warning>
  Make sure you add your [s3 details](/enterprise-api/general/update-s3-details) for `voice_cloning` server, so you can receive image generated in your bucket. Images generated without s3 details being added will be delete after **24 hours**
</Warning>

<Tip>
  Find all available voice models [HERE](https://modelslab.com/models/category/voice-cloning).
</Tip>

## Request

Make a `POST` request to below endpoint and pass the required parameters as a request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/voice/voice_cover' \
```

## Example[​](#example "Direct link to Example")

## Body

```json json theme={null}
{   
  "key": "enterprise_api_key",
  "init_audio": "https://music.youtube.com/watch?v=aZ1hziFhj1o",
  "model_id": "zoro",
  "pitch": "none",
  "rate": 0.5,
  "radius": 3,
  "mix": 0.25,
  "algorithm": "rmvpe",
  "hop_length": 128,
  "originality": 0.5,
  "lead_voice_volume_delta": "+1",
  "backup_voice_volume_delta": "-2",
  "instrument_volume_delta":"+2",
  "reverb_size": 0.15,
  "wetness": 0.2,
  "dryness": 0.8,
  "damping": 0.7,
  "base64": false,
  "temp": false,
  "webhook": null,
  "track_id" : null
}
```

## Body Attributes

<ParamField query="key" type="string" required>
  Your API Key used for request authorization.
</ParamField>

<ParamField query="init_audio" type="string" required>
  URL (YouTube links supported) or valid <code>.wav</code> file base64 data whose audio you want to clone with the model.
</ParamField>

<ParamField query="model_id" type="string" required>
  ID of the voice cover model <a href="https://modelslab.com/models?feature=audiogen" target="_blank">Find Models Here</a>.
</ParamField>

<ParamField query="pitch" type="string" enum="[&#x22;m2f&#x22;, &#x22;f2m&#x22;, &#x22;none&#x22;]" default="none">
  Voice pitch conversion. Options:

  <ul>
    <li><code>m2f</code>: Male-to-Female</li>
    <li><code>f2m</code>: Female-to-Male</li>
    <li><code>none</code>: No pitch conversion</li>
  </ul>
</ParamField>

<ParamField query="algorithm" type="string" enum="[&#x22;rmvpe&#x22;, &#x22;mangio-crepe&#x22;]" default="rmvpe">
  Pitch detection algorithm. Default: rmvpe.
</ParamField>

<ParamField query="rate" type="number" min="0" max="1" default="0.5">
  Rate of control for generated voice leakage. Higher values bias model towards training data. Default: 0.5.
</ParamField>

<ParamField query="seed" type="integer">
  Seed for reproducibility. Same seed gives the same output. Pass null for a random seed.
</ParamField>

<ParamField query="language" type="string" enum="[&#x22;english&#x22;,&#x22;arabic&#x22;,&#x22;brazilian&#x22;,&#x22;portuguese&#x22;,&#x22;chinese&#x22;,&#x22;dutch&#x22;,&#x22;french&#x22;,&#x22;hindi&#x22;,&#x22;hungarian&#x22;,&#x22;italian&#x22;,&#x22;japanese&#x22;,&#x22;korean&#x22;,&#x22;polish&#x22;,&#x22;russian&#x22;,&#x22;turkish&#x22;]" default="english">
  The language of the cloned voice. Default: english.
</ParamField>

<ParamField query="emotion" type="string" enum="[&#x22;neutral&#x22;,&#x22;happy&#x22;,&#x22;sad&#x22;,&#x22;angry&#x22;,&#x22;dull&#x22;]" default="neutral">
  Emotional tone of the generated voice. Default: neutral.
</ParamField>

<ParamField query="speed" type="number" default="1.0">
  Floating point value for playback speed of the speaker. Default: 1.0.
</ParamField>

<ParamField query="radius" type="integer" default="3">
  Median filtering length to reduce breathiness and artifacts. Default: 3.
</ParamField>

<ParamField query="mix" type="number" min="0" max="1" default="0.25">
  Mix between original loudness and fixed loudness. Default: 0.25.
</ParamField>

<ParamField query="hop_length" type="integer">
  Hop length for pitch changes (only applies when using mangio-crepe).
</ParamField>

<ParamField query="originality" type="number" min="0" max="1" default="0.33">
  Controls similarity to original vocals (voiceless consonants). Default: 0.33.
</ParamField>

<ParamField query="lead_voice_volume_delta" type="number" min="-5" max="5">
  Adjust lead vocals volume. Range: -5 (decrease) to +5 (increase).
</ParamField>

<ParamField query="backup_voice_volume_delta" type="number" min="-5" max="5">
  Adjust backup vocals volume. Range: -5 (decrease) to +5 (increase).
</ParamField>

<ParamField query="instrument_volume_delta" type="number" min="-5" max="5">
  Adjust instrumental volume. Range: -5 (decrease) to +5 (increase).
</ParamField>

<ParamField query="reverb_size" type="number" min="0" max="1" default="0.15">
  Reverb room size. Default: 0.15.
</ParamField>

<ParamField query="wetness" type="number" min="0" max="1" default="0.2">
  Reverb for generated vocals. Default: 0.2.
</ParamField>

<ParamField query="dryness" type="number" min="0" max="1" default="0.8">
  Reverb for original vocals. Default: 0.8.
</ParamField>

<ParamField query="damping" type="number" min="0" max="1" default="0.7">
  High-frequency damping factor in reverb. Default: 0.7.
</ParamField>

<ParamField query="base64" type="boolean" default="false">
  Whether the input sound clip is in base64 format. Default: false.
</ParamField>

<ParamField query="temp" type="boolean" default="false">
  Whether you want the output to be auto-deleted from the server after a short time. Default: false.
</ParamField>

<ParamField query="webhook" type="string" format="url">
  A URL to receive a POST API call once the voice cloning process is complete.
</ParamField>

<ParamField query="track_id" type="string">
  This ID is returned in the webhook callback to identify the request.
</ParamField>
